<template>
  <div class="page">
    <div class="container">
      <div class="row">
        <div class="col">
          <div class="row box-page d-flex justify-content-center align-items-center">
            <div class="col-md-6 d-flex justify-content-center">
                <div class="box">
                  <form @submit="logar">
                    <div class="mb-3">
                      <img src="@/assets/logo-seetowork.png" class="logo d-block m-auto" alt="Logo See To Work">
                    </div>
                    <input type="email" v-on:keypress="alert.show = null" v-model="form.email" class="form-control input mb-4" placeholder="EMAIL" required>
                    <input type="password" v-on:keypress="alert.show = null" v-model="form.senha" class="form-control input mb-4" placeholder="SENHA" required>
                    <div class="d-flex justify-content-between mb-4">
                      <button type="submit">{{btn.txt}}</button>
                      <button v-if="false" @click="$router.push('/cadastro')" type="button">CADASTRAR</button>
                    </div>
                    <div v-if="alert.show" class="alert alert-danger" role="alert">
                      {{alert.txt}}
                    </div>
                    <!-- <a href="#">
                      <div class="d-flex align-items-center">
                        <p class="m-0">ENTRAR COM</p>
                        <img src="@/assets/img/google_plus.svg" class="google" alt="Logo Google E-mail">
                      </div>
                    </a> -->
                  </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios'
export default {
  name: 'Login',
  data(){
    return{
      form:{
        email: null,
        senha: null
      },
      btn:{
        disabled: true,
        txt: 'ENTRAR'
      },
      alert:{
        txt: null,
        show: false
      }
    }
  },
  methods:{
    logar(e){
      e.preventDefault()
      const _vn = this

      _vn.btn.txt = "ENTRANDO..."

      axios.post('https://7re2usa707.execute-api.us-east-1.amazonaws.com/production/login', this.form)
      .then(function (response) {
        _vn.btn.txt = "ENTRAR"
        if(response.data.access == false){
          _vn.alert = {
            txt : "Login Incorreto",
            show: true
          }
        } else if(response.data.access == true){

          console.log(response.data)

          localStorage.setItem('login', 'true')
          localStorage.setItem('user', JSON.stringify(response.data.user))

          _vn.$router.push('/')

        } else {
          _vn.alert = {
            txt : "Erro ao Logar. Tente novamente mais tarde. :/",
            show: true
          }
        }
      })
      .catch(function (error) {
        console.log(error);
      });
    }
  },
  mounted(){
    let login = localStorage.getItem('login')
      login ? this.$router.push('/') : null
  }
  
}
</script>

<style scoped>

.row,
.col {
  margin: 0;
  padding: 0;
}
.page {
  background: #e4e4e4;
  height: 100vh;
  width: 100vw;
}
.box-page{
  height: 100vh;
}
.box {
  border: 5px solid green;
  max-width: 400px;
  border-radius: 15px;
  width: 100%;
  padding: 30px;
}
.google{
  width: 40px;
  margin-left: 10px;
}
/* ||||||||||||||||||||||||||||||||||||| */
form{
  background: #e4e4e4;
  color: #f6f6f6;
  width: 100%;
}
.logo{
  width: 120px;
}
.input {
  background: #f6f6f6;
  border: 2px solid orange;
  border-radius: 0px;
  padding: 3px 10px;
}
input::placeholder{
  color: #292c29;
}
button{
  border: none;
  padding: 10px 20px;
  border-radius: 0px;
  background: orange;
  color: #292c29;
}
a{
  text-decoration: none;
  color: #f6f6f6;
}
a:hover{
  text-decoration: none;
  color: #f6f6f6;
}

</style>
